/*
 * fi_wss_liveview_session.h
 *
 *  Created on: Apr 25, 2016
 *      Author: eric
 */

#ifndef FI_LIVEVIEW_SESSION_H_
#define FI_LIVEVIEW_SESSION_H_

#include "fi_streaming_session.h"

class fiWSSLiveViewProtocol;

/**
 * @brief StreamingSession sub-class for live view streams
 */
class LiveViewSession: public StreamingSession
{
public:
    /**
     * @brief Constructor
     *
     * @param p Points to the protocol instance to which this session will belong
     * @param w Points to the libwebsockets per-session data for this session
     */
    LiveViewSession(fiWSSLiveViewProtocol* p, struct lws* w);
    virtual ~LiveViewSession();
};

#endif /* FI_LIVEVIEW_SESSION_H_ */
