/*!
 * @file fi_wss_utils.h
 * @brief Fastec Imaging Web Socket Server Utilities Module
 *
 * Copyright 2016 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */
#ifndef FI_WSS_UTILS_H_
#define FI_WSS_UTILS_H_

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Constant, Typedefs and Macros
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Data Structures and Definitions
//--------------------------------------------------------------------

// ///////////////////////////////////////////////////////////////////
//--------------------------------------------------------------------
// External Interfaces
//--------------------------------------------------------------------
// ///////////////////////////////////////////////////////////////////

//* Called to provide support to debug important information from the wsi during
//* protocol sessions.  Copied AS IS with exception of using lwl_debug for the
//* logging mechanism instead of fprintf to stderr
extern void dump_handshake_info(struct lws *wsi);


#endif	/* !FI_WSS_UTILS_H_ */
