/*
 * fi_download_session.h
 *
 *  Created on: Mar 1, 2016
 *      Author: eric
 */

#ifndef FI_WSS_FI_DOWNLOAD_SESSION_H_
#define FI_WSS_FI_DOWNLOAD_SESSION_H_

#include "fi_streaming_session.h"

class fiWSSDownloadProtocol;

/**
 * @brief StreamingSession sub-class for image file download
 */
class DownloadSession: public StreamingSession
{
public:

    /**
     * @brief Constructor
     *
     * @param p Points to the protocol instance to which this session will belong
     * @param w Points to the libwebsockets per-session data for this session
     */
    DownloadSession( fiWSSDownloadProtocol* p, struct lws* w );

    virtual ~DownloadSession();
};

#endif /* FI_WSS_FI_DOWNLOAD_SESSION_H_ */
