/*
 * fi_wss_playback_session.h
 *
 *  Created on: Jan 26, 2016
 *      Author: eric
 */

#ifndef FI_PLAYBACK_SESSION_H_
#define FI_PLAYBACK_SESSION_H_

#include "fi_streaming_session.h"

class fiWSSPlaybackProtocol;

/**
 * @brief StreamingSession sub-class for playback streams
 */
class PlaybackSession: public StreamingSession
{
public:
    /**
     * @brief Constructor
     *
     * @param p Points to the protocol instance to which this session will belong
     * @param w Points to the libwebsockets per-session data for this session
     */
    PlaybackSession(fiWSSPlaybackProtocol* p, struct lws* w);
    virtual ~PlaybackSession();
};

#endif /* FI_PLAYBACK_SESSION_H_ */
